(ns sliva.core
  (:require
            [secretary.core :as secretary :refer-macros [defroute]]
            [reagent.core :as reagent]
            [sliva.data :refer [appstate]]
            [sliva.routes :refer [app-routes]]
            [sliva.pages.hub :refer [hub]])
  (:require-macros [cljs.core.async.macros :refer [go go-loop]]))

(enable-console-print!)

(console.log "Hello, Sky!")

;; Page switching
(defmulti current-page #(@appstate :page))
(defmethod current-page :hub [] hub)

;;(defn on-js-reload []
;;  (stop-render)
;;  (start-render)
;;  (websocket-init))

;; On figwheel reload do this (reload routes, render currently active page)
(defn init-app []
  (app-routes)
  (reagent/render [current-page] (.getElementById js/document "container")))

;; Vstopna tocka
(aset js/document "onreadystatechange"
      (fn []
        (if (= (.-readyState js/document) "complete")
          (init-app))))
